# 指令
# - 啓動容器: docker-compose --env-file .env up -d
# - 停止容器: docker-compose down
# - 移除容器: docker ps -a >> docker rm <containerId>

networks:
  internal:
    driver: bridge
  traefik:
    name: ${NET_TRAEFIK}
    external: true

volumes:
  upload:

services:

  font:
    environment:
        # 動態設定 API 及檔案服務的 URL
        VITE_API_BASEURL: https://${CUSTOMER_ID}-api.${HOST_DOMAIN}
        VITE_FILE_API_BASEURL: https://${CUSTOMER_ID}-front.${HOST_DOMAIN}
        VITE_APP_TITLE: ${WEB_TITLE} 
        #VITE_MQTT_BASEURL: wss://${CUSTOMER_ID}-mqtt.${HOST_DOMAIN}

    volumes:
      - upload:/usr/share/nginx/html/upload
      
    networks:
      - internal
      - traefik
